function EventAlert_LoadVariables()

    EA_tempVer = 471;
    EA_tempVerText = "4.7.1";
    EA_tempChanges = "Version 4.7.1\n\nBugfix:  Fixed problem with alert icon screen position not saving.\n\nBugfix:  Fixed problem with About frame popping up on each load.\n\n\nVersion 4.7.0\n\nBugfix:  Due to LUA errors across different versions of EventAlert, a total wipe of the SavedVariables file was needed (except custom added IDs).  Sorry!  :(\n\nChanged:  All new options menu.  Hopefully it is much easier to use now.\n\nChanged:  Recode of many of the loops used to show alerts.  Hopefully the addon is using less memory now for most people.\n\nChanged:  Alerts won't show when on cooldown.\n\nAdded:  Warrior: Battle Trance, Lambs to the Slaughter\n\nAdded:  Paladin: Surge of Light";

    EA_TempBuffsTable = { };
    EA_PreLoadAlts = { };
    EA_PreLoadComplete = 0;

    _, EA_playerClass = UnitClass("player");

    if (EA_Config == nil) then
	    EA_Config = { DoAlertSound, AlertSound, AlertSoundText, ShowFrame, ShowName, ShowFlash, ShowTimer, ShowStacks, ChangeTimer, AllowESC, ShowSpellInfo, DoDoom, Debug, Version, VersionText, PowerStack };
    end
    if (EA_Position == nil) then
    	EA_Position = { Anchor, LockFrame, IconSize, relativePoint, xLoc, yLoc, xOffset, yOffset };
	end

    if EA_Config.Version == nil then EA_Config.Version = EA_tempVer end;
	if EA_Config.VersionText == nil then EA_Config.VersionText = EA_tempVerText end;
    if EA_Config.DoAlertSound == nil then EA_Config.DoAlertSound = true end;
    if EA_Config.AlertSound == nil then EA_Config.AlertSound = "Sound\\Spells\\ShaysBell.wav" end;
    if EA_Config.AlertSoundText == nil then EA_Config.AlertSoundText = "Shay's Bell" end;
    if EA_Config.ShowFrame == nil then EA_Config.ShowFrame = true end;
    if EA_Config.ShowName == nil then EA_Config.ShowName = true end;
    if EA_Config.ShowFlash == nil then EA_Config.ShowFlash = false end;
    if EA_Config.ShowTimer == nil then EA_Config.ShowTimer = true end;
    if EA_Config.ShowStacks == nil then EA_Config.ShowStacks = true end;
    if EA_Config.ChangeTimer == nil then EA_Config.ChangeTimer = false end;
    if EA_Config.AllowESC == nil then EA_Config.AllowESC = false end;
    if EA_Config.AllowAltAlerts == nil then EA_Config.AllowAltAlerts = true end;
    if EA_Config.ShowSpellInfo == nil then EA_Config.ShowSpellInfo = false end;
    if EA_Config.DoDoom == nil then EA_Config.DoDoom = true end;
    if EA_Config.Debug == nil then EA_Config.Debug = false end;

    if EA_Position.Anchor == nil then EA_Position.Anchor = "CENTER" end;
    if EA_Position.LockFrame == nil then EA_Position.LockFrame = true end;
    if EA_Position.IconSize == nil then EA_Position.IconSize = 60 end;
    if EA_Position.relativePoint == nil then EA_Position.relativePoint = "CENTER" end;
    if EA_Position.xLoc == nil then EA_Position.xLoc = 0 end;
    if EA_Position.yLoc == nil then EA_Position.yLoc = 0 end;
    if EA_Position.xOffset == nil then EA_Position.xOffset = 0 end;
    if EA_Position.yOffset == nil then EA_Position.yOffset = 0 end;

    -- Holy Power Variables
    EA_doPower = 0;
    EA_powerType = 9;
    EA_powerAlert = 85247;
    if (EA_Config.PowerStack == nil) then
	    EA_Config.PowerStack = 3;
    else
    	EA_Config.PowerStack = EA_StackingItemsCounts[EA_playerClass][EA_powerAlert];
    end
end